Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface SuggestionHandler

All Superinterfaces:
  java.util.EventListener

    public interface SuggestionHandler

extends java.util.EventListener

Event handler interface for `SuggestionEvent`.

See Also:
  `SuggestBox`

Method Summary
`void` | `onSuggestionSelected(SuggestionEvent event)` Fired when a suggestion is selected.

Method Detail

### onSuggestionSelected

    void onSuggestionSelected(SuggestionEvent event)

  Fired when a suggestion is selected. Users can select a suggestion from the SuggestBox by clicking on one of the suggestions, or by pressing the ENTER key to select the suggestion that is currently highlighted.

  Parameters:
    `event` - the object containing information about this event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD